/*
 * list.c
 * Copyright (C) 2010 - 2013 Peter Belkner <pbelkner@snafu.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "plugin.h"

node_t *list_write(list_t *l, node_t *n)
{
  n->next=NULL;

  if (NULL==l->head)
    l->head=n;
  else
    l->tail->next=n;

  return l->tail=n;
}

node_t *list_read(list_t *l)
{
  node_t *n=l->head;

  if (NULL!=n&&NULL==(l->head=n->next))
    l->tail=NULL;

  return n;
}
